from pypdf import PdfReader


def is_valid(resource, file):
    """Check if the content is a readable PDF document."""

    with open(file.name, "rb") as f:
        try:
            PdfReader(f)
            return True
        except Exception as e:
            resource["error"] = str(e)
            return False
